<template>
  <div class="hello">
  </div>
</template>

<script>

import Emitter from './emitter'
export default {
  name: 'Child',
  created () {
    this.$on('on-message', this.showMessage);
  },                                                                                                                
  methods: {
    showMessage (text) {
      window.alert(text);
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
